ghc-7.10.2: The GHC API

Safe Haskell | None
Language | Haskell2010

DriverPhases

# Documentation

data HscSource Source

Constructors

HsSrcFile |
HsBootFile |
HsigFile |

Instances

Eq HscSource |
Ord HscSource |
Show HscSource |

isHsBootOrSig :: HscSource -> Bool Source

hscSourceString :: HscSource -> String Source

data Phase Source

Constructors

Unlit HscSource |
Cpp HscSource |
HsPp HscSource |
Hsc HscSource |
Ccpp |
Cc |
Cobjc |
Cobjcpp |
HCc |
Splitter |
SplitAs |
As Bool |
LlvmOpt |
LlvmLlc |
LlvmMangle |
CmmCpp |
Cmm |
MergeStub |
StopLn |

Instances

Eq Phase |
Show Phase |
Outputable Phase |

happensBefore :: DynFlags -> Phase -> Phase -> Bool Source

eqPhase :: Phase -> Phase -> Bool Source

anyHsc :: Phase Source

isStopLn :: Phase -> Bool Source

startPhase :: String -> Phase Source

phaseInputExt :: Phase -> String Source

isHaskellishSuffix :: String -> Bool Source

isHaskellSrcSuffix :: String -> Bool Source

isObjectSuffix :: Platform -> String -> Bool Source

isCishSuffix :: String -> Bool Source

isDynLibSuffix :: Platform -> String -> Bool Source

isHaskellUserSrcSuffix :: String -> Bool Source

isHaskellSigSuffix :: String -> Bool Source

isSourceSuffix :: String -> Bool Source

isHaskellishFilename :: FilePath -> Bool Source

isHaskellSrcFilename :: FilePath -> Bool Source

isHaskellSigFilename :: FilePath -> Bool Source

isObjectFilename :: Platform -> FilePath -> Bool Source

isCishFilename :: FilePath -> Bool Source

isDynLibFilename :: Platform -> FilePath -> Bool Source

isHaskellUserSrcFilename :: FilePath -> Bool Source

isSourceFilename :: FilePath -> Bool Source